Package io.dapr.v1

# Class DaprAppCallbackProtos.TopicSubscription.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>
io.dapr.v1.DaprAppCallbackProtos.TopicSubscription.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.TopicSubscription

public static final class DaprAppCallbackProtos.TopicSubscription.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder> implements DaprAppCallbackProtos.TopicSubscriptionOrBuilder

     TopicSubscription represents topic and metadata.

Protobuf type `dapr.proto.runtime.v1.TopicSubscription`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.TopicSubscription`
  `build()`
  `DaprAppCallbackProtos.TopicSubscription`
  `buildPartial()`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clear()`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearBulkSubscribe()`
  The optional bulk subscribe settings for this topic.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearDeadLetterTopic()`
  The optional dead letter queue for this topic to send events to.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearMetadata()`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearPubsubName()`
  Required.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearRoutes()`
  The optional routing rules to match against.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clearTopic()`
  Required.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `clone()`
  `boolean`
  `containsMetadata(String key)`
  The optional properties used for this topic's subscription e.g.
  `DaprAppCallbackProtos.BulkSubscribeConfig`
  `getBulkSubscribe()`
  The optional bulk subscribe settings for this topic.
  `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`
  `getBulkSubscribeBuilder()`
  The optional bulk subscribe settings for this topic.
  `DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder`
  `getBulkSubscribeOrBuilder()`
  The optional bulk subscribe settings for this topic.
  `String`
  `getDeadLetterTopic()`
  The optional dead letter queue for this topic to send events to.
  `com.google.protobuf.ByteString`
  `getDeadLetterTopicBytes()`
  The optional dead letter queue for this topic to send events to.
  `DaprAppCallbackProtos.TopicSubscription`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `Map<String,String>`
  `getMetadata()`
  Deprecated.
  `int`
  `getMetadataCount()`
  The optional properties used for this topic's subscription e.g.
  `Map<String,String>`
  `getMetadataMap()`
  The optional properties used for this topic's subscription e.g.
  `String`
  `getMetadataOrDefault(String key, String defaultValue)`
  The optional properties used for this topic's subscription e.g.
  `String`
  `getMetadataOrThrow(String key)`
  The optional properties used for this topic's subscription e.g.
  `Map<String,String>`
  `getMutableMetadata()`
  Deprecated.
  `String`
  `getPubsubName()`
  Required.
  `com.google.protobuf.ByteString`
  `getPubsubNameBytes()`
  Required.
  `DaprAppCallbackProtos.TopicRoutes`
  `getRoutes()`
  The optional routing rules to match against.
  `DaprAppCallbackProtos.TopicRoutes.Builder`
  `getRoutesBuilder()`
  The optional routing rules to match against.
  `DaprAppCallbackProtos.TopicRoutesOrBuilder`
  `getRoutesOrBuilder()`
  The optional routing rules to match against.
  `String`
  `getTopic()`
  Required.
  `com.google.protobuf.ByteString`
  `getTopicBytes()`
  Required.
  `boolean`
  `hasBulkSubscribe()`
  The optional bulk subscribe settings for this topic.
  `boolean`
  `hasRoutes()`
  The optional routing rules to match against.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `protected com.google.protobuf.MapFieldReflectionAccessor`
  `internalGetMapFieldReflection(int number)`
  `protected com.google.protobuf.MapFieldReflectionAccessor`
  `internalGetMutableMapFieldReflection(int number)`
  `final boolean`
  `isInitialized()`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `mergeBulkSubscribe(DaprAppCallbackProtos.BulkSubscribeConfig value)`
  The optional bulk subscribe settings for this topic.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `mergeFrom(DaprAppCallbackProtos.TopicSubscription other)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `mergeRoutes(DaprAppCallbackProtos.TopicRoutes value)`
  The optional routing rules to match against.
  `final DaprAppCallbackProtos.TopicSubscription.Builder`
  `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `putAllMetadata(Map<String,String> values)`
  The optional properties used for this topic's subscription e.g.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `putMetadata(String key, String value)`
  The optional properties used for this topic's subscription e.g.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `removeMetadata(String key)`
  The optional properties used for this topic's subscription e.g.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setBulkSubscribe(DaprAppCallbackProtos.BulkSubscribeConfig value)`
  The optional bulk subscribe settings for this topic.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setBulkSubscribe(DaprAppCallbackProtos.BulkSubscribeConfig.Builder builderForValue)`
  The optional bulk subscribe settings for this topic.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setDeadLetterTopic(String value)`
  The optional dead letter queue for this topic to send events to.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setDeadLetterTopicBytes(com.google.protobuf.ByteString value)`
  The optional dead letter queue for this topic to send events to.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setPubsubName(String value)`
  Required.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setPubsubNameBytes(com.google.protobuf.ByteString value)`
  Required.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setRoutes(DaprAppCallbackProtos.TopicRoutes value)`
  The optional routing rules to match against.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setRoutes(DaprAppCallbackProtos.TopicRoutes.Builder builderForValue)`
  The optional routing rules to match against.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setTopic(String value)`
  Required.
  `DaprAppCallbackProtos.TopicSubscription.Builder`
  `setTopicBytes(com.google.protobuf.ByteString value)`
  Required.
  `final DaprAppCallbackProtos.TopicSubscription.Builder`
  `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetMapFieldReflection

    protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)
    Overrides:
      `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### internalGetMutableMapFieldReflection

    protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)
    Overrides:
      `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### clear

    public DaprAppCallbackProtos.TopicSubscription.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicSubscription getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprAppCallbackProtos.TopicSubscription build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprAppCallbackProtos.TopicSubscription buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprAppCallbackProtos.TopicSubscription.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### setField

    public DaprAppCallbackProtos.TopicSubscription.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### clearField

    public DaprAppCallbackProtos.TopicSubscription.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### clearOneof

    public DaprAppCallbackProtos.TopicSubscription.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### setRepeatedField

    public DaprAppCallbackProtos.TopicSubscription.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### addRepeatedField

    public DaprAppCallbackProtos.TopicSubscription.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.TopicSubscription.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.TopicSubscription.Builder mergeFrom(DaprAppCallbackProtos.TopicSubscription other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.TopicSubscription.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`
    Throws:
      `IOException`

  - ### getPubsubName

    public String getPubsubName()

         Required. The name of the pubsub containing the topic below to subscribe to.

    `string pubsub_name = 1;`
    Specified by:
      `getPubsubName` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The pubsubName.

  - ### getPubsubNameBytes

    public com.google.protobuf.ByteString getPubsubNameBytes()

         Required. The name of the pubsub containing the topic below to subscribe to.

    `string pubsub_name = 1;`
    Specified by:
      `getPubsubNameBytes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The bytes for pubsubName.

  - ### setPubsubName

    public DaprAppCallbackProtos.TopicSubscription.Builder setPubsubName(String value)

         Required. The name of the pubsub containing the topic below to subscribe to.

    `string pubsub_name = 1;`
    Parameters:
      `value` - The pubsubName to set.
    Returns:
      This builder for chaining.

  - ### clearPubsubName

    public DaprAppCallbackProtos.TopicSubscription.Builder clearPubsubName()

         Required. The name of the pubsub containing the topic below to subscribe to.

    `string pubsub_name = 1;`
    Returns:
      This builder for chaining.

  - ### setPubsubNameBytes

    public DaprAppCallbackProtos.TopicSubscription.Builder setPubsubNameBytes(com.google.protobuf.ByteString value)

         Required. The name of the pubsub containing the topic below to subscribe to.

    `string pubsub_name = 1;`
    Parameters:
      `value` - The bytes for pubsubName to set.
    Returns:
      This builder for chaining.

  - ### getTopic

    public String getTopic()

         Required. The name of topic which will be subscribed

    `string topic = 2;`
    Specified by:
      `getTopic` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The topic.

  - ### getTopicBytes

    public com.google.protobuf.ByteString getTopicBytes()

         Required. The name of topic which will be subscribed

    `string topic = 2;`
    Specified by:
      `getTopicBytes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The bytes for topic.

  - ### setTopic

    public DaprAppCallbackProtos.TopicSubscription.Builder setTopic(String value)

         Required. The name of topic which will be subscribed

    `string topic = 2;`
    Parameters:
      `value` - The topic to set.
    Returns:
      This builder for chaining.

  - ### clearTopic

    public DaprAppCallbackProtos.TopicSubscription.Builder clearTopic()

         Required. The name of topic which will be subscribed

    `string topic = 2;`
    Returns:
      This builder for chaining.

  - ### setTopicBytes

    public DaprAppCallbackProtos.TopicSubscription.Builder setTopicBytes(com.google.protobuf.ByteString value)

         Required. The name of topic which will be subscribed

    `string topic = 2;`
    Parameters:
      `value` - The bytes for topic to set.
    Returns:
      This builder for chaining.

  - ### getMetadataCount

    public int getMetadataCount()
    Description copied from interface: `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataCount` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### containsMetadata

    public boolean containsMetadata(String key)

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`
    Specified by:
      `containsMetadata` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### getMetadata

    @Deprecated public Map<String,String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.
    Specified by:
      `getMetadata` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### getMetadataMap

    public Map<String,String> getMetadataMap()

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataMap` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### getMetadataOrDefault

    public String getMetadataOrDefault(String key, String defaultValue)

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataOrDefault` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### getMetadataOrThrow

    public String getMetadataOrThrow(String key)

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataOrThrow` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### clearMetadata

    public DaprAppCallbackProtos.TopicSubscription.Builder clearMetadata()

  - ### removeMetadata

    public DaprAppCallbackProtos.TopicSubscription.Builder removeMetadata(String key)

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`

  - ### getMutableMetadata

    @Deprecated public Map<String,String> getMutableMetadata()
    Deprecated.
    Use alternate mutation accessors instead.

  - ### putMetadata

    public DaprAppCallbackProtos.TopicSubscription.Builder putMetadata(String key, String value)

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`

  - ### putAllMetadata

    public DaprAppCallbackProtos.TopicSubscription.Builder putAllMetadata(Map<String,String> values)

         The optional properties used for this topic's subscription e.g. session id

    `map<string, string> metadata = 3;`

  - ### hasRoutes

    public boolean hasRoutes()

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`
    Specified by:
      `hasRoutes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      Whether the routes field is set.

  - ### getRoutes

    public DaprAppCallbackProtos.TopicRoutes getRoutes()

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`
    Specified by:
      `getRoutes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The routes.

  - ### setRoutes

    public DaprAppCallbackProtos.TopicSubscription.Builder setRoutes(DaprAppCallbackProtos.TopicRoutes value)

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

  - ### setRoutes

    public DaprAppCallbackProtos.TopicSubscription.Builder setRoutes(DaprAppCallbackProtos.TopicRoutes.Builder builderForValue)

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

  - ### mergeRoutes

    public DaprAppCallbackProtos.TopicSubscription.Builder mergeRoutes(DaprAppCallbackProtos.TopicRoutes value)

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

  - ### clearRoutes

    public DaprAppCallbackProtos.TopicSubscription.Builder clearRoutes()

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

  - ### getRoutesBuilder

    public DaprAppCallbackProtos.TopicRoutes.Builder getRoutesBuilder()

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

  - ### getRoutesOrBuilder

    public DaprAppCallbackProtos.TopicRoutesOrBuilder getRoutesOrBuilder()

         The optional routing rules to match against. In the gRPC interface, OnTopicEvent
         is still invoked but the matching path is sent in the TopicEventRequest.

    `.dapr.proto.runtime.v1.TopicRoutes routes = 5;`
    Specified by:
      `getRoutesOrBuilder` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### getDeadLetterTopic

    public String getDeadLetterTopic()

         The optional dead letter queue for this topic to send events to.

    `string dead_letter_topic = 6;`
    Specified by:
      `getDeadLetterTopic` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The deadLetterTopic.

  - ### getDeadLetterTopicBytes

    public com.google.protobuf.ByteString getDeadLetterTopicBytes()

         The optional dead letter queue for this topic to send events to.

    `string dead_letter_topic = 6;`
    Specified by:
      `getDeadLetterTopicBytes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The bytes for deadLetterTopic.

  - ### setDeadLetterTopic

    public DaprAppCallbackProtos.TopicSubscription.Builder setDeadLetterTopic(String value)

         The optional dead letter queue for this topic to send events to.

    `string dead_letter_topic = 6;`
    Parameters:
      `value` - The deadLetterTopic to set.
    Returns:
      This builder for chaining.

  - ### clearDeadLetterTopic

    public DaprAppCallbackProtos.TopicSubscription.Builder clearDeadLetterTopic()

         The optional dead letter queue for this topic to send events to.

    `string dead_letter_topic = 6;`
    Returns:
      This builder for chaining.

  - ### setDeadLetterTopicBytes

    public DaprAppCallbackProtos.TopicSubscription.Builder setDeadLetterTopicBytes(com.google.protobuf.ByteString value)

         The optional dead letter queue for this topic to send events to.

    `string dead_letter_topic = 6;`
    Parameters:
      `value` - The bytes for deadLetterTopic to set.
    Returns:
      This builder for chaining.

  - ### hasBulkSubscribe

    public boolean hasBulkSubscribe()

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`
    Specified by:
      `hasBulkSubscribe` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      Whether the bulkSubscribe field is set.

  - ### getBulkSubscribe

    public DaprAppCallbackProtos.BulkSubscribeConfig getBulkSubscribe()

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`
    Specified by:
      `getBulkSubscribe` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
    Returns:
      The bulkSubscribe.

  - ### setBulkSubscribe

    public DaprAppCallbackProtos.TopicSubscription.Builder setBulkSubscribe(DaprAppCallbackProtos.BulkSubscribeConfig value)

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

  - ### setBulkSubscribe

    public DaprAppCallbackProtos.TopicSubscription.Builder setBulkSubscribe(DaprAppCallbackProtos.BulkSubscribeConfig.Builder builderForValue)

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

  - ### mergeBulkSubscribe

    public DaprAppCallbackProtos.TopicSubscription.Builder mergeBulkSubscribe(DaprAppCallbackProtos.BulkSubscribeConfig value)

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

  - ### clearBulkSubscribe

    public DaprAppCallbackProtos.TopicSubscription.Builder clearBulkSubscribe()

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

  - ### getBulkSubscribeBuilder

    public DaprAppCallbackProtos.BulkSubscribeConfig.Builder getBulkSubscribeBuilder()

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

  - ### getBulkSubscribeOrBuilder

    public DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder getBulkSubscribeOrBuilder()

         The optional bulk subscribe settings for this topic.

    `.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`
    Specified by:
      `getBulkSubscribeOrBuilder` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

  - ### setUnknownFields

    public final DaprAppCallbackProtos.TopicSubscription.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`

  - ### mergeUnknownFields

    public final DaprAppCallbackProtos.TopicSubscription.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicSubscription.Builder>`